Accounts
Cette page n'est pas disponible en français. La version anglaise est affichée.
Initialize the wizard for changing a trading account password
Use this method to initialize the wizard for changing a trading account password. Passwords can be changed for MT4, MT5, and cTrader trading accounts.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
accountId*integer
The account identifier.
Query Parameters
passwordType?string
The type of a password that you want to change for a trading account. Possible values:
-
investor — the investor (read-only) password providing a limited access to a trading account
-
main — the main password providing the full access to a trading account
Value in
- "main"
- "investor"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/my/accounts/1/password/wizard"{ "code": 200, "data": { "status": 0, "sent": 1, "expiredAt": "2022-01-01T00:00:00+00:00", "sentAt": "2022-01-01T00:00:00+00:00", "recipient": { "template": "Withdraw_whitelistConfirm", "email": "username@example.com", "name": "Nick", "url": "url/e57d34c6-4e64-4998-909b-b649294fbd04/44353", "method": "email", "class": "B2B\\TCA\\Confirmations\\Recipients\\PhoneRecipient", "data": {} } }, "done": false, "uuid": "36f59381-5b54-48bd-a0c7-3b908c476732", "workflow": "login"}{ "error": { "message": "Bad Request", "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Not Found" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}